<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="newsOptions.aspx.cs" Inherits="PPFOR.Admin.DesignCenter.Label.newsOptions" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> 
    <script src="/ckeditor/ckeditor.js" type="text/javascript" ></script>
    <script src="../../JS/label.js" type="text/javascript"></script>   
    <link href="../../Css/global.css" rel="stylesheet" type="text/css" />
    <script language="javascript" type="text/javascript">
    function saveContent()
    {
        var fStr=",<br />&nbsp;";
        var data=formatContent("[PPFOR:Loop","") + fStr + formatContent("PPFOR:Class","News");
        
        var objMenuId= document.getElementById("PPFOR_newsMenuId");            
        if(objMenuId!=null && objMenuId.style.display!="none" && objMenuId.selectedIndex>=0)
        {
            var menuId=objMenuId.options[objMenuId.selectedIndex].value;
            if(menuId!=null && menuId!="")
            {
                data+=fStr + formatContent("PPFOR:MenuID",menuId);
            }
        }
        
        var objTypeId= document.getElementById("newsTypeId");            
        if(objTypeId!=null && objTypeId.style.display!="none" && objTypeId.selectedIndex>=0)
        {
            var typeId=objTypeId.options[objTypeId.selectedIndex].value;
            if(typeId!=null && typeId!="")
            {
                data+=fStr + formatContent("PPFOR:ClassID",typeId);
            }
        }     
        
        var objListSubType= document.getElementById("listSubType");            
        if(objListSubType!=null && objListSubType.type=='checkbox' && !objListSubType.disabled)
        {
            data+=fStr + formatContent("PPFOR:ListSub", objListSubType.checked?'True':'False');
        }   
        
        var objMemberLimit= document.getElementById("memberLimit");            
        if(objMemberLimit!=null && objMemberLimit.type=='checkbox' && !objMemberLimit.disabled)
        {
            data+=fStr + formatContent("PPFOR:MemberLimit",objMemberLimit.checked?'True':'False');
        }   
        
        var type=getRadioValue("newsListType");
        if(type!=null && type!="")
        {
            data+=fStr + formatContent("PPFOR:Type",type);
        }
        
        var objOutFormat= document.getElementById("outFormat");
        if(objOutFormat!=null)
        {
            data+=fStr + formatContent("PPFOR:Format",objOutFormat.value!='' ? objOutFormat.value : "Table");
        }
        
        var objLoopNumber= document.getElementById("PPFOR_loopNumber");
        if(objLoopNumber!=null && objLoopNumber.value!="")
        {
            data+=fStr + formatContent("PPFOR:LoopNumber",objLoopNumber.value);
        }  
        
        var objColumnNumber= document.getElementById("PPFOR_newsColumnNumber");
        if(objColumnNumber!=null && objColumnNumber.value!="")
        {
            data+=fStr + formatContent("PPFOR:ColumnNumber",objColumnNumber.value);
        }
        
        var objTitleNumber= document.getElementById("PPFOR_newsTitleNumber");
        if(objTitleNumber!=null && objTitleNumber.value!="")
        {
            data+=fStr + formatContent("PPFOR:TitleNumber",objTitleNumber.value);
        } 
            
        var objNaviContentNumber= document.getElementById("PPFOR_newsNaviContentNumber");
        if(objNaviContentNumber!=null && objNaviContentNumber.value!="")
        {
            data+=fStr + formatContent("PPFOR:NaviContentNumber",objNaviContentNumber.value);
        }
        
        data+=formatContent("]","") + "<br />" + ckEditor.getData() + "<br />" + formatContent("[/PPFOR:Loop]","");
        
        parent.window.resetHTML(data);
        parent.popup_close();
    }    
    
    function getRadioValue(name)
    {
        var radioes = document.getElementsByName(name); 
        for(var i=0;i<radioes.length;i++)
        {
             if(radioes[i].checked){
                return radioes[i].value;
             }
        }
        return "";
    }

    function getSelectValue(id)
    {
        var obj= document.getElementById(id);
        if(obj!=null)
        {
            return (obj.options[obj.selectedIndex].value);
        }
        else
        {     
            return "";
        }
    }

    function changeNumberOption()
    {
        var rValue=getRadioValue("newsListType");
        if(rValue=="List" || rValue=="SearchList")
        {
            document.getElementById("listNumber").style.display="none";
            document.getElementById("listNumberPerPage").style.display="";
        }
        else
        {
            document.getElementById("listNumberPerPage").style.display="none";
            document.getElementById("listNumber").style.display="";
        }  
        document.getElementById("listSubType").disabled= (rValue=="SearchList");
    }

    function showTypeIds(objMenu)
    {
        var obj= document.getElementById("PPFOR_newsTypeId");
        var objTypeId=document.getElementById("newsTypeId");
        var id=objMenu.options[objMenu.selectedIndex].value;
        if(obj!=null && objTypeId!=null && id>=0)
        {
            while(objTypeId.options.length>0)
            {
                objTypeId.removeChild(objTypeId.options[0]);
            }
            objTypeId.options.add(new Option("--所有新闻类型--","0")); 
            for(var i=0;i<obj.options.length;i++)
            {                
                 if(obj.options[i].getAttribute("optionMenuId")==id)
                 {
                    objTypeId.options.add(new Option(obj.options[i].text,obj.options[i].value)); 
                 }
            }
            if(objTypeId.options.length==0)
            {
                objTypeId.style.display="none";
            }
            else
            {
                objTypeId.style.display="";
            }
        }
    }
   
    </script>
    <title>新闻参数设置</title>
</head>
<body>
    <form id="form1" runat="server" onsubmit="saveContent();return false;">
    <table width="98%" cellpadding="0" cellspacing="0" class="fortable" style="margin:6px;">
    <thead>
      <tr>
        <td colspan="2" align="center">选择标签参数--新闻类</td>
      </tr>
    </thead>
      <tr>
        <td align="right">列表类型：</td>
        <td>
           <input type="radio" value="New" name="newsListType" onclick="changeNumberOption();"/>最新
           <input type="radio" value="Rec" name="newsListType" onclick="changeNumberOption();"/>推荐
           <input type="radio" value="Hot" name="newsListType" onclick="changeNumberOption();"/>热点
           <input type="radio" value="Slide" name="newsListType" onclick="changeNumberOption();"/>幻灯片
           <input type="radio" value="List" name="newsListType" checked="checked" onclick="changeNumberOption();"/>新闻列表
           <input type="radio" value="SearchList" name="newsListType" onclick="changeNumberOption();"/>搜索列表
       </td>
      </tr>
      <tr>
        <td align="right" style="width:15%">循环<span id="listNumber" style="display:<%=PPFOR_displayListNumberOption %>">条数</span><span id="listNumberPerPage" style="display:<%=PPFOR_displayListNumberPerPageOption %>">每页条数</span>：</td>
        <td><asp:TextBox Text="8" MaxLength="10" ID="PPFOR_loopNumber" runat="server" Width="150px"/>
            <select id="outFormat">               
                <option value="" selected="selected">--选择输出格式--</option>
                <option value="Table">Table(默认)</option>                
                <option value="None">无格式</option>
            </select>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="PPFOR_loopNumber" runat="server" Display="Dynamic" SetFocusOnError="true"><br />循环条数必须填写</asp:RequiredFieldValidator>
            <asp:RangeValidator ID="RangeValidator1" ControlToValidate="PPFOR_loopNumber" runat="server"  Display="Dynamic" SetFocusOnError="true" MinimumValue="1" MaximumValue="2147483647" Type="Integer"><br />循环条数必须填写正整数</asp:RangeValidator>            
        </td>
      </tr>
      <tr>
        <td align="right">新闻栏目：</td>
        <td>
        <asp:DropDownList ID="PPFOR_newsMenuId" runat="server" Width="150px">
        <asp:ListItem Text="--选择栏目--" Value="0"></asp:ListItem>
        <asp:ListItem Text="*自适应栏目*" Value="0"></asp:ListItem>
        </asp:DropDownList>
        <select id="newsTypeId" style="display:none;"></select>
        <asp:DropDownList ID="PPFOR_newsTypeId" runat="server" Width="150px" Enabled="false">
        </asp:DropDownList>
        <input type="checkbox" id="listSubType" value="includeSubClass" />列出所有子类型
        </td>
      </tr>
      <tr>
        <td align="right">新闻参数：</td>
        <td align="left">
            <select id="newsParam" style="width:150px;" onchange="appenHTML(this.value);this.selectedIndex=0;">
            <option value="">01.&nbsp;选择基本参数</option>
            <option value="&lt;a href=&quot;{#ClassURL}&quot; title=&quot;{#Class}&quot;&gt;{#Class}&lt;/a&gt;">02.&nbsp;新闻类别</option>
            <option value="&lt;a href=&quot;{#URL}&quot; title=&quot;{#Title}&quot;&gt;{#Title}&lt;/a&gt;">03.&nbsp;新闻标题</option>
            <option value="{#ID}">04.&nbsp;新闻ID</option>    
            <option value="{#NaviContent}">05.&nbsp;新闻导读</option>           
            <option value="{#PublishDate}">06.&nbsp;发布日期</option>
            <option value="{#PublishTime}">07.&nbsp;发布时间</option>
            <option value="{#PublishDateTime}">08.&nbsp;发布日期时间</option>
            <option value="{#Date}">09.&nbsp;更新日期</option>
            <option value="{#Time}">10.&nbsp;更新时间</option>
            <option value="{#DateTime}">11.&nbsp;更新日期时间</option>
            <option value="{#Click}">12.&nbsp;浏览次数</option>
            <option value="{#Source}">13.&nbsp;来源</option>
            <option value="{#Author}">14.&nbsp;作者</option>
            <option value="&lt;img border='0' title='{#Title}' src='{#SmallPicture}' &gt;">15.&nbsp;新闻图片</option>   
            <option value="&lt;img border='0' title='{#Title}' src='{#SlidePicture}' &gt;">16.&nbsp;幻灯图片</option>                 
            <option value="{#CommentCount}">17.&nbsp;评论总数</option>   
            </select>
            <input type="checkbox" id="memberLimit" />开启会员等级限制
            <br />
            <asp:TextBox ID="PPFOR_newsOptionContent" runat="server" TextMode="MultiLine" Rows="5" Width="98%"></asp:TextBox>
           <script type="text/javascript">
            var ckEditor=CKEDITOR.replace("<%=PPFOR_newsOptionContent.ClientID%>", {
             toolbar:'EditLabelOptions',
             height:'100'
            });
            function appenHTML(text)
            {
                ckEditor.insertHtml(text);
            }
            </script>
         </td>
      </tr>
      <tr>
        <td align="right">每行显示新闻条数：</td>
        <td><asp:TextBox ID="PPFOR_newsColumnNumber" runat="server" Width="150px" />
            <asp:RangeValidator ID="RangeValidator5" ControlToValidate="PPFOR_newsColumnNumber" runat="server"  Display="Dynamic" SetFocusOnError="true" MinimumValue="1" MaximumValue="2147483647" Type="Integer">新闻条数必须填写正整数</asp:RangeValidator>            
        </td>
      </tr>      
      <tr>
        <td align="right">新闻标题显示字数：</td>
        <td><asp:TextBox ID="PPFOR_newsTitleNumber" runat="server" Width="150px" />
            <asp:RangeValidator ID="RangeValidator2" ControlToValidate="PPFOR_newsTitleNumber" runat="server"  Display="Dynamic" SetFocusOnError="true" MinimumValue="1" MaximumValue="1000" Type="Integer">新闻标题显示字数必须填写1至1000之间的整数</asp:RangeValidator>            
        </td>
      </tr>
      <tr>
        <td align="right">新闻导读截取字数：</td>
        <td><asp:TextBox ID="PPFOR_newsNaviContentNumber" runat="server" Width="150px"/>
            <asp:RangeValidator ID="RangeValidator3" ControlToValidate="PPFOR_newsNaviContentNumber" runat="server"  Display="Dynamic" SetFocusOnError="true" MinimumValue="1" MaximumValue="1000" Type="Integer">新闻导读截取字数必须填写1至1000之间的整数</asp:RangeValidator>            
        </td>
      </tr>    
      <tr style="display:none;">
        <td align="center" colspan="2" valign="middle" style="height:50px">            
            <asp:Button ID="PPFOR_setNewsOptions" CssClass="inputbutton" runat="server" Text="确定" OnClick="PPFOR_setNewsOptionsClick"/>
            <input name="reset" id="reset1" type="reset" class="inputbutton" onmouseover="this.className='inputbutton_hover'" onmouseout="this.className='inputbutton'" value="重置" />
              <script type="text/javascript"> 
                parent.popup_clearButtons();
                parent.popup_addButton(document.getElementById('PPFOR_setNewsOptions'));
                parent.popup_addButton(document.getElementById('reset1'));
             </script>
        </td>
      </tr>
    </table>
    </form>
</body>
</html>
